Name: H5Pget_layout
Signature:
  H5D_layout_t `H5Pget_layout`(hid_t `plist`)
Purpose:
  Returns the layout of the raw data for a dataset.
Description:
  `H5Pget_layout` returns the layout of the raw data for a dataset. This function is only valid for dataset creation property lists.

  Note that a compact storage layout may affect writing data to the dataset with parallel applications. See note in H5Dwrite documentation for details.

Parameters:

hid_t `plist` | IN: Identifier for property list to query.

Returns:
  Returns the layout type (a non-negative value) of a dataset creation property list if successful. Valid return values are:
  H5D_COMPACT
    Raw data is stored in the object header in the file.
  H5D_CONTIGUOUS
    Raw data is stored separately from the object header in one contiguous chunk in the file.
  H5D_CHUNKED
    Raw data is stored separately from the object header in chunks in separate locations in the file.

  Otherwise, returns a negative value indicating failure.

Fortran90 Interface: h5pget_layout_f

      SUBROUTINE h5pget_layout_f (prp_id, layout, hdferr)
        IMPLICIT NONE
        INTEGER(HID_T), INTENT(IN) :: prp_id ! Property list identifier
        INTEGER, INTENT(OUT) :: layout       ! Type of storage layout for raw data
                                             ! possible values are:
                                             !    H5D_COMPACT_F
                                             !    H5D_CONTIGUOUS_F
                                             !    H5D_CHUNKED_F
        INTEGER, INTENT(OUT) :: hdferr       ! Error code
                                             ! 0 on success and -1 on failure
      END SUBROUTINE h5pget_layout_f